%global git_date  20241102
%global git_hash  ff5d9b9

%global git_ver  4.20
%global rel  2
%global src_name %{name}-%{git_date}-%{git_hash}.tar.xz


%global namespc Garcon

Name:           garcon
Version:	%{git_ver}^%{git_date}g%{git_hash}
Release:	%{rel}%{?dist}
Summary:        Implementation of the freedesktop.org menu specification

# garcon's source code is licensed under the LGPLv2+,
# while its documentation is licensed under the GFDL 1.1
License:        LGPLv2+ and GFDL
URL:            https://git.xfce.org/xfce/garcon
Source0:	%{url}/%{src_name}
#Source1:        xfce-documentation.directory
#Patch0:         garcon-%{xfceversion}-fedora-menus.patch

BuildRequires:  pkgconfig(glib-2.0) >= 2.30.0
BuildRequires:  pkgconfig(libxfce4util-1.0)
BuildRequires:  pkgconfig(libxfce4ui-2)
BuildRequires:  pkgconfig(gio-2.0) >= 2.30.0
BuildRequires:  pkgconfig(gobject-2.0) >= 2.30.0
BuildRequires:  pkgconfig(gthread-2.0) >= 2.30.0
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.14.0
BuildRequires:  gcc-c++
BuildRequires:  gtk-doc
BuildRequires:  gettext
BuildRequires:  intltool
BuildRequires:  gobject-introspection-devel
BuildRequires:  make
BuildRequires:  autoconf
BuildRequires:  xfce4-dev-tools

Obsoletes:      libxfce4menu < 4.6.3
# because of %%{_datadir}/desktop-directories/xfce-*
Conflicts:      xfdesktop <= 4.6.2

%description
Garcon is an implementation of the freedesktop.org menu specification replacing
the former Xfce menu library libxfce4menu. It is based on GLib/GIO only and 
aims at covering the entire specification except for legacy menus.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       gtk2-devel
Requires:       pkgconfig
Obsoletes:      libxfce4menu-devel < 4.6.2

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup -n %{name}


%build
./autogen.sh
%configure --enable-maintainer-mode --disable-static --enable-gtk-doc

%make_build


%install
%make_install

# fix permissions for libraries
chmod 755 %{buildroot}/%{_libdir}/*.so

find %{buildroot} -name '*.la' -exec rm -f {} ';'

%find_lang %{name}
#install -pm 644 %{SOURCE1} %{buildroot}%{_datadir}/desktop-directories

%files -f %{name}.lang
%license COPYING
%doc AUTHORS NEWS README.md
%config(noreplace) %{_sysconfdir}/xdg/menus/xfce-applications.menu
%{_libdir}/*.so.*
%{_libdir}/girepository-1.0/%{namespc}*
%{_datadir}/icons/hicolor/*
%{_datadir}/gir-1.0/%{namespc}*
%{_datadir}/desktop-directories/*.directory

%files devel
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%doc %{_datadir}/gtk-doc/

%changelog
%autochangelog
